Subject: Re: Thank you, but...

From: Jan Wielemaker <[email-masked]>
Date: Thu, 19 Oct 2000 10:31:36 +0200

> I'm a french student that you helped in finding
> SWI-Prolog. And I thank you for that.
> But I wantd to warn you. Indeed it seems impossible to
> me to close the software. Indeed when I tape ?- halt.
> or when I close the window or even when I press
> Ctrl+Alt+Del the whole system is halted. Yet I
> downloaded the adapted version of Prolog (for Windows
> '95)
> 
> It could be a problem of my computer but I don't think
> so. Perhaps it because of Windows '95 ?
> 
> Thank you and good bye.

This is a known problem I'm hunting for a long time.
On most systems there is nothing wrong, on a few Prolog
crashes at exit, but the machine stays fine and on
some others the symptoms you describe occur.  It is
specific to Windows 95 and 98.  NT and 2000 have no
problems.

Sofar one of the solutions appears to install MSVC.
(The micorsoft C development stuff).  Unfortunately
that precisely is the reason it is so hard to track this
problem.

Any hints for tracking it are more then welcome. If
all I had was stack dump ...
	
	--- Jan